Subject: [Sipping] how to response the offer

From: 孙永光 <[email-masked]>
Date: Wed, 19 Aug 2009 15:28:46 +0800

Dear All

   I have a question about How to respond the offer , the scenario is as
following

A call B , and the offer and answer is ok , after a while , A receives a B
's REINVITE which includes the same SDP as it just answered before

now, How does A respond it ?

does A  must respond  the B's new offer  with   the same SDP as the offer it
sent previously?

could you give some advice ?

Thanks

SunYongGuang

-- 
msn:[email-masked] <[email-masked]>

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 19 Aug 2009 09:40:32 +0200

Hi,
 
I think A can answer however he wants.
 
However, by using the SDP o- line one can explicitly indicate that nothing has changed from the previous SDP, so normally I guess the answer then wouldn't be modified either.
 
Regards,
 
Christer

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of ???
	Sent: 19. elokuuta 2009 10:29
	To: IETF Sipping List; [email-masked]; [email-masked]
	Subject: [Sipping] how to response the offer

	Dear All 
	�
	�� I have a question about How to respond the offer , the scenario is as following
	�
	A call B , and the offer and answer is ok , after a while , A receives a B 's REINVITE which includes the same SDP as�it�just answered before
	�
	now, How�does A respond it ?�
	�
	does�A� must respond �the B's new offer� with ��the same SDP as the offer it sent previously?
	�
	could you give some advice ? 
	�
	Thanks
	�
	SunYongGuang
	�
	�
	�
	�

	-- 
	msn:[email-masked] <mailto:[email-masked]>

---

From: "Rockson Li (zhengyli)" <[email-masked]>
Date: Wed, 19 Aug 2009 15:43:08 +0800

Sun,
 
I don't think answerer has the obligation to responds the offerer with the same answer as previous one.
In session refresh, this sort of scenario occurs frequently.
The answerer might take the chance to do call hold, MoH etc.

Similar talk at https://lists.cs.columbia.edu/pipermail/sip-implementors/2008-September/020300.html

-Rockson

From: [email-masked] [mailto:[email-masked]] On Behalf Of 孙永光
Sent: Wednesday, August 19, 2009 3:29 PM
To: IETF Sipping List; [email-masked]; [email-masked]
Subject: [Sipping] how to response the offer

Dear All 
 
   I have a question about How to respond the offer , the scenario is as following
 
A call B , and the offer and answer is ok , after a while , A receives a B 's REINVITE which includes the same SDP as it just answered before

does A  must respond  the B's new offer  with   the same SDP as the offer it sent previously?

Thanks
 
SunYongGuang

---

From: Gilad Shaham <[email-masked]>
Date: Wed, 19 Aug 2009 08:44:28 +0100

In normal cases the answer would be the same, but it’s not mandatory.

RFC 3264, section 8 (Modifying the Session):

“If the offer is the same, the answer MAY be the same as the previous SDP from the answerer, or it MAY be different.”

From: [email-masked] [mailto:[email-masked]] On Behalf Of ???
Sent: Wednesday, August 19, 2009 10:29 AM
To: IETF Sipping List; [email-masked]; [email-masked]
Subject: [Sipping] how to response the offer

Dear All 

A call B , and the offer and answer is ok , after a while , A receives a B 's REINVITE which includes the same SDP asitjust answered before

now, Howdoes A respond it ?

doesA must respond the B's new offer with the same SDP as the offer it sent previously?

Thanks

SunYongGuang

---

From: "T Satyanarayana-A12694" <[email-masked]>
Date: Wed, 19 Aug 2009 22:40:46 +0800

I have a different opinion here.

The answer need not be same as what A originally sent in offer.

E.g. A sent two m-lines (audio and video). B suppressed one m-line (say video) because it didn't support video. Now, B sends two m-lines one of them carrying port 0. A can't reply with that m-line having non-ZERO port.

There are more such examples.

E.g. when A originally sent b= line with certain value (if offered all formats it supports). But, in the subsequent offer, it may choose only a subset of media formats which means potentially lower b= value.

Regards
Satya T

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, August 19, 2009 1:11 PM
To: 孙永光; IETF Sipping List; [email-masked]; [email-masked]
Subject: Re: [Sip-implementors] [Sipping] how to response the offer

Hi,

 
Regards,
 
Christer

	Dear All 

	 

	 
	Thanks
	 
	SunYongGuang

_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors

---

From: Tanu Kapoor <[email-masked]>
Date: Thu, 27 Aug 2009 11:47:21 +0530

Hello SunYongGuang,

A should consider incoming SDP as new offer and answer appropriately, quite
likely as you mention the offer has not changed it would send a 180 or 200
OK response with same parameters as negotiated first time.

In any case A should not ignore  the incoming re-invite as that would cause
B to terminate the session, Section 14.1 UAC behaviour of RFC.

Hope it helps.

Regards,
-Tanu.

On Wed, Aug 19, 2009 at 12:58 PM, 孙永光 <[email-masked]> wrote:

> Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
>